﻿@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "CẬP NHẬT LÝ DO KHÔNG TIÊM";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
}

<div class="row">
    <div class="col-12">
        <div class="iq-card">
            <div class="iq-card-header d-flex justify-content-between">
                <div class="iq-header-title" style="width:100%">
                    <h4 class="card-title text-uppercase" style="text-align:center;color:red;font-weight:bold">DANH SÁCH ĐÃ ĐĂNG KÝ NHƯNG KHÔNG TIÊM</h4>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="box_thongke" class="row" style="background:white;">
    <div class="col-md-3">
        <div class="donvi btnBiF0">
            <div class="thongtin mb-2 p-3">
                <span>BỊ F0</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>BỊ F0</large>
                        <br>
                        <b id="BiF0">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL ĐĂNG KÝ</large>
                        <br>
                        <b id="DaDangKy">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div class="donvi btnTiemTaiDiaPhuong">
            <div class="thongtin mb-2 p-3">
                <span>TIÊM TẠI ĐỊA PHƯƠNG</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>TIÊM TẠI ĐỊA PHƯƠNG</large>
                        <br>
                        <b id="TiemTaiDiaPhuong">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL ĐĂNG KÝ</large>
                        <br>
                        <b id="DaDangKy2">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div class="donvi btnDaNghiViec">
            <div class="thongtin mb-2 p-3">
                <span>ĐÃ NGHỈ VIỆC</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>ĐÃ NGHỈ VIỆC</large>
                        <br>
                        <b id="DaNghiViec">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL ĐĂNG KÝ</large>
                        <br>
                        <b id="DaDangKy3">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div class="donvi btnLyDoKhac">
            <div class="thongtin mb-2 p-3">
                <span>LÝ DO KHÁC</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>LÝ DO KHÁC</large>
                        <br>
                        <b id="LyDoKhac">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL ĐĂNG KÝ</large>
                        <br>
                        <b id="DaDangKy4">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="box_thongke" class="row" style="background:white;padding-top:50px;">
    <form id="box_form_employee" class="form_employee_validation" novalidate style="width:100%">
        <div class="form-row" style="padding:15px;">
            <div class="col-md-3 mb-3">
                <select class="form-control form-control-sm" name="DonVi" id="DonVi">
                    <option value="-1">Tất cả</option>
                    @{
                        foreach (var item in lsDonVi)
                        {
                            <option value="@item.Id">@item.TenDonVi</option>
                        }
                    }
                </select>
            </div>
            <div class="col-md-2 mb-2">
                <button type="button" class="btn btn-secondary form-control-sm" id="btnXem" style="line-height:16px;">Xem</button>
            </div>
            <div class="col-md-7 mb-7">
                <button type="button" class="btn btn-success form-control-sm btnCapNhatThongTin"  style="line-height:16px;">Cập nhật thông tin</button>
                <button type="button" style="display:none;" class="btnShowDialog" data-toggle="modal" data-target="#staticBackdrop"></button>
            </div>
        </div>
    </form>
</div>
<div id="box_thongke" class="row" style="background:white;">
    <div id="gridContainer" style="width: 100%;"></div>
</div>
<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form id="myform">
            <input type="hidden" class="MaQR" />
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Cập nhật lý do không tiêm</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="1" type="radio" name="flexRadioDefault" id="flexRadioDefault1">
                        <label class="form-check-label" for="flexRadioDefault1">
                            Tiêm tại địa phương
                        </label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="2" type="radio" name="flexRadioDefault" id="flexRadioDefault2">
                        <label class="form-check-label" for="flexRadioDefault2">
                            Bị F0
                        </label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="3" type="radio" name="flexRadioDefault" id="flexRadioDefault3">
                        <label class="form-check-label" for="flexRadioDefault3">
                            Đã nghỉ việc
                        </label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="4" type="radio" name="flexRadioDefault" id="flexRadioDefault4">
                        <label class="form-check-label" for="flexRadioDefault4">
                            Lý do khác
                        </label>
                    </div>
                    <div class='mb-3 ThongTinTiem'>
                        <label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui_TenVacxin'></select>
                        <label class='form-label'>Số lô</label><input type='text' value='' class='form-control' id='Mui_SoLo'>
                        <label class='form-label'>Ngày tiêm</label><input type='date' value='' class='form-control' id='Mui_NgayTiem'>
                        <label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>
                        <input style='margin-top:10px;color:red;' id='Mui_DiaDiem_Old' class='form-control' value='' />
                        <select style='margin-top:10px' class='form-control' id='TinhThanhPho'></select>
                        <select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>
                        <select style='margin-top:10px' class='form-control' id='Mui_DiaDiem'></select>

                    </div>
                    <div class='mb-3 ThongTinTiem2'>
                        <label class='form-label'>Lý do</label><input type='text' value='' class='form-control' id='Mui_LyDoKhac'>
                    </div>
                    <div class='mb-3 ThongTinTiem3'>
                        <label class='form-label'>Ngày mắc</label><input type='date' class='form-control' id="NgayNhiem" />
                        <label class='form-label'>Ngày khỏi</label><input type='date' class='form-control' id="NgayXuatVien" />
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                    <button type="button" class="btn btn-primary btnLuuThongTin">Lưu</button>
                </div>
            </div>
        </form>
    </div>
</div>
